Skip to main content
GET
/
alpha
/
public
/
merchants
/
{handle}
/
products
List merchant's active products
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/public/merchants/{handle}/products
{
  "data": [
    {
      "_id": "<string>",
      "_creationTime": 123,
      "title": "<string>",
      "description": "<string>",
      "slug": "<string>",
      "handle": "<string>",
      "images": [
        {
          "_id": "<string>",
          "url": "<string>"
        }
      ],
      "price": 123,
      "shippingCostUS": 123,
      "shippingCostInternational": 123,
      "quantity": 123,
      "quantityAvailable": 123,
      "status": "INSTOCK",
      "productType": "PHYSICAL",
      "type": "AUCTION_AND_PRODUCT",
      "details": {},
      "numberOfBids": 123
    }
  ],
  "timestamp": 123,
  "message": "<string>"
}

Path Parameters

handle
string
required

The merchant's handle

Response

List of active products

data
object[]
required

List of active products for the merchant

timestamp
number
required
message
string